@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';



@import "../support/_adaptivesearchbackoffice_variables.scss";

/* Colors for left widgets */
.yas-left-container {

    .yw-collapsibleContainer-caption {
        background: $adaptiveSearchBackoffice__yas-left-container--bg-color;
        & > div:first-child {
            background: none;
        }

        .yw-caption-container span.z-label {
            color: $adaptiveSearchBackoffice__yas-left-container-widget-headline--bg-color;
        }
    }
}

/* Icons for explorer tree */
div.yw-explorerTree {
    .y-tree-icon-hmc_type_tree_searchprofile .y-tree-icon {
        background-image: $adaptiveSearchBackoffice__tree-icon-searchprofile--background-image;
    }

    .y-tree-icon-hmc_type_tree_searchprofileactivationset .y-tree-icon {
        background-image: $adaptiveSearchBackoffice__tree-icon-searchprofileactivationset--background-image;
    }
}

.yas-item {
    .yas-info {
        .yas-info-icon {
            background-image: $adaptiveSearchBackoffice__yas-info-icon--background-image;
            position: relative;
        }
    }
}

/* Score */
.yas-info-score,
.yas-search-configuration-label {
    border-radius: $adaptiveSearchBackoffice__score--border-radius;
    border: $adaptiveSearchBackoffice__score--border;
    font-weight: $adaptiveSearchBackoffice__score--font-weight;
    padding: $adaptiveSearchBackoffice__score--padding;
}
